Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageQuantizeRGBToIndex Class Reference

`#include <vtkImageQuantizeRGBToIndex.h>`

Inheritance diagram for vtkImageQuantizeRGBToIndex:

[legend]
Collaboration diagram for vtkImageQuantizeRGBToIndex:

[legend]
List of all members.

## Detailed Description

generalized histograms up to 4 dimensions

Date:
  2002/12/11 14:26:22

Revision:
  1.27

vtkImageQuantizeRGBToIndex takes a 3 component RGB image as input and produces a one component index image as output, along with a lookup table that contains the color definitions for the index values. This filter works on the entire input extent - it does not perform streaming, and it does not supported threaded execution (because it has to process the entire image).

To use this filter, you typically set the number of colors (between 2 and 65536), execute it, and then retrieve the lookup table. The colors can then be using the lookup table and the image index.

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (64%)
  - Lorensen, Bill (15%)
  - Law, Charles (6%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageQuantizeRGBToIndex.h)`
  - .`cxx` (`/Imaging/vtkImageQuantizeRGBToIndex.cxx)`

Tests:
  vtkImageQuantizeRGBToIndex (Tests)

Definition at line 57 of file vtkImageQuantizeRGBToIndex.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual float | GetInitializeExecuteTime ()
virtual float | GetBuildTreeExecuteTime ()
virtual float | GetLookupIndexExecuteTime ()
virtual void | SetNumberOfColors (int)
virtual int | GetNumberOfColors ()
virtual vtkLookupTable * | GetLookupTable ()
virtual int | GetInputType ()
virtual void | SetInitializeExecuteTime (float)
virtual void | SetBuildTreeExecuteTime (float)
virtual void | SetLookupIndexExecuteTime (float)
## Static Public Methods
vtkImageQuantizeRGBToIndex * | New ()
int | IsTypeOf (const char *type)
vtkImageQuantizeRGBToIndex * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageQuantizeRGBToIndex ()
| ~vtkImageQuantizeRGBToIndex ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ExecuteInformation ()
virtual void | ExecuteData (vtkDataObject *out)
## Protected Attributes
vtkLookupTable * | LookupTable
int | NumberOfColors
int | InputType
float | InitializeExecuteTime
float | BuildTreeExecuteTime
float | LookupIndexExecuteTime

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageQuantizeRGBToIndex::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 61 of file vtkImageQuantizeRGBToIndex.h.

## Constructor & Destructor Documentation

vtkImageQuantizeRGBToIndex::vtkImageQuantizeRGBToIndex | ( |  | ) | `[protected]`

vtkImageQuantizeRGBToIndex::~vtkImageQuantizeRGBToIndex | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageQuantizeRGBToIndex* vtkImageQuantizeRGBToIndex::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageQuantizeRGBToIndex::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageQuantizeRGBToIndex::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageQuantizeRGBToIndex::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageQuantizeRGBToIndex* vtkImageQuantizeRGBToIndex::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageQuantizeRGBToIndex::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageQuantizeRGBToIndex::SetNumberOfColors | ( | int |  | ) | `[virtual]`

| Set / Get the number of color index values to produce - must be a number between 2 and 65536.

virtual int vtkImageQuantizeRGBToIndex::GetNumberOfColors | ( |  | ) | `[virtual]`

| Set / Get the number of color index values to produce - must be a number between 2 and 65536.

virtual vtkLookupTable* vtkImageQuantizeRGBToIndex::GetLookupTable | ( |  | ) | `[virtual]`

| Get the resulting lookup table that contains the color definitions corresponding to the index values in the output image.

virtual float vtkImageQuantizeRGBToIndex::GetInitializeExecuteTime | ( |  | ) | `[virtual]`

virtual float vtkImageQuantizeRGBToIndex::GetBuildTreeExecuteTime | ( |  | ) | `[virtual]`

virtual float vtkImageQuantizeRGBToIndex::GetLookupIndexExecuteTime | ( |  | ) | `[virtual]`

virtual int vtkImageQuantizeRGBToIndex::GetInputType | ( |  | ) | `[virtual]`

| For internal use only - get the type of the image

virtual void vtkImageQuantizeRGBToIndex::SetInitializeExecuteTime | ( | float |  | ) | `[virtual]`

| For internal use only - set the times for execution

virtual void vtkImageQuantizeRGBToIndex::SetBuildTreeExecuteTime | ( | float |  | ) | `[virtual]`

| For internal use only - set the times for execution

virtual void vtkImageQuantizeRGBToIndex::SetLookupIndexExecuteTime | ( | float |  | ) | `[virtual]`

| For internal use only - set the times for execution

void vtkImageQuantizeRGBToIndex::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageQuantizeRGBToIndex::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageQuantizeRGBToIndex::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 109 of file vtkImageQuantizeRGBToIndex.h. References vtkImageToImageFilter::ExecuteInformation().

virtual void vtkImageQuantizeRGBToIndex::ExecuteData | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

vtkLookupTable* vtkImageQuantizeRGBToIndex::LookupTable`[protected]`

| Definition at line 99 of file vtkImageQuantizeRGBToIndex.h.

int vtkImageQuantizeRGBToIndex::NumberOfColors`[protected]`

| Definition at line 100 of file vtkImageQuantizeRGBToIndex.h.

int vtkImageQuantizeRGBToIndex::InputType`[protected]`

| Definition at line 101 of file vtkImageQuantizeRGBToIndex.h.

float vtkImageQuantizeRGBToIndex::InitializeExecuteTime`[protected]`

| Definition at line 103 of file vtkImageQuantizeRGBToIndex.h.

float vtkImageQuantizeRGBToIndex::BuildTreeExecuteTime`[protected]`

| Definition at line 104 of file vtkImageQuantizeRGBToIndex.h.

float vtkImageQuantizeRGBToIndex::LookupIndexExecuteTime`[protected]`

| Definition at line 105 of file vtkImageQuantizeRGBToIndex.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageQuantizeRGBToIndex.h